### Hierarchy

- BaseSchema

## Index

### Constructors

- constructor

### Methods

- validateAddr
- validateAll
- validateBaseAddrPair
- validateWallets

### Object literals

- All
- EthAddrRecord
- EthBaseAddrPair
- EthWallets

## Constructors

### constructor

- new BaseSchema(): BaseSchema

- - Defined in utils/types/BaseSchema.ts:77

  #### Returns BaseSchema

## Methods

### validateAddr

- validateAddr(s: any): boolean

- - Defined in utils/types/BaseSchema.ts:88

  #### Parameters

  - ##### s: any

  #### Returns boolean

### validateAll

- validateAll(s: any): boolean

- - Defined in utils/types/BaseSchema.ts:100

  #### Parameters

  - ##### s: any

  #### Returns boolean

### validateBaseAddrPair

- validateBaseAddrPair(s: any): boolean

- - Defined in utils/types/BaseSchema.ts:96

  #### Parameters

  - ##### s: any

  #### Returns boolean

### validateWallets

- validateWallets(s: any): boolean

- - Defined in utils/types/BaseSchema.ts:92

  #### Parameters

  - ##### s: any

  #### Returns boolean

## Object literals

### Static All

All: object

- Defined in utils/types/BaseSchema.ts:47

### additionalProperties

additionalProperties: boolean = false

- Defined in utils/types/BaseSchema.ts:69

### required

required: string[] = ['baseID']

- Defined in utils/types/BaseSchema.ts:68

### title

title: string = "Profile"

- Defined in utils/types/BaseSchema.ts:48

### type

type: string = "object"

- Defined in utils/types/BaseSchema.ts:54

### definitions

definitions: object

- Defined in utils/types/BaseSchema.ts:49

### eth_address

eth_address: any = BaseSchema.EthAddrRecord

- Defined in utils/types/BaseSchema.ts:50

### eth_wallets

eth_wallets: any = BaseSchema.EthWallets

- Defined in utils/types/BaseSchema.ts:51

### properties

properties: object

- Defined in utils/types/BaseSchema.ts:55

### baseID

baseID: object

- Defined in utils/types/BaseSchema.ts:56

### type

type: string = "string"

- Defined in utils/types/BaseSchema.ts:57

### email

email: object

- Defined in utils/types/BaseSchema.ts:59

### type

type: string = "string"

- Defined in utils/types/BaseSchema.ts:60

### eth_wallets

eth_wallets: object

- Defined in utils/types/BaseSchema.ts:66

### $ref

$ref: string = "#/definitions/eth_wallets"

- Defined in utils/types/BaseSchema.ts:66

### wealth

wealth: object

- Defined in utils/types/BaseSchema.ts:62

### description

description: string = "wealth in USD"

- Defined in utils/types/BaseSchema.ts:63

### type

type: string = "string"

- Defined in utils/types/BaseSchema.ts:64

### Static EthAddrRecord

EthAddrRecord: object

- Defined in utils/types/BaseSchema.ts:16

### additionalProperties

additionalProperties: boolean = false

- Defined in utils/types/BaseSchema.ts:25

### required

required: string[] = ['data']

- Defined in utils/types/BaseSchema.ts:24

### type

type: string = "object"

- Defined in utils/types/BaseSchema.ts:17

### properties

properties: object

- Defined in utils/types/BaseSchema.ts:18

### data

data: object

- Defined in utils/types/BaseSchema.ts:19

### type

type: string = "string"

- Defined in utils/types/BaseSchema.ts:19

### sig

sig: object

- Defined in utils/types/BaseSchema.ts:20

### type

type: string = "string"

- Defined in utils/types/BaseSchema.ts:21

### Static EthBaseAddrPair

EthBaseAddrPair: object

- Defined in utils/types/BaseSchema.ts:6

### additionalProperties

additionalProperties: boolean = false

- Defined in utils/types/BaseSchema.ts:13

### required

required: string[] = ['baseID', 'ethAddr']

- Defined in utils/types/BaseSchema.ts:12

### type

type: string = "object"

- Defined in utils/types/BaseSchema.ts:7

### properties

properties: object

- Defined in utils/types/BaseSchema.ts:8

### baseID

baseID: object

- Defined in utils/types/BaseSchema.ts:9

### type

type: string = "string"

- Defined in utils/types/BaseSchema.ts:9

### ethAddr

ethAddr: object

- Defined in utils/types/BaseSchema.ts:10

### type

type: string = "string"

- Defined in utils/types/BaseSchema.ts:10

### Static EthWallets

EthWallets: object

- Defined in utils/types/BaseSchema.ts:28

### description

description: string = "list of ETH wallets"

- Defined in utils/types/BaseSchema.ts:32

### type

type: string = "object"

- Defined in utils/types/BaseSchema.ts:33

### definitions

definitions: object

- Defined in utils/types/BaseSchema.ts:29

### eth_address

eth_address: any = BaseSchema.EthAddrRecord

- Defined in utils/types/BaseSchema.ts:30

### properties

properties: object

- Defined in utils/types/BaseSchema.ts:34

### data

data: object

- Defined in utils/types/BaseSchema.ts:35

### minItems

minItems: number = 1

- Defined in utils/types/BaseSchema.ts:38

### type

type: string = "array"

- Defined in utils/types/BaseSchema.ts:36

### uniqueItems

uniqueItems: boolean = true

- Defined in utils/types/BaseSchema.ts:39

### items

items: object

- Defined in utils/types/BaseSchema.ts:37

### $ref

$ref: string = "#/definitions/eth_address"

- Defined in utils/types/BaseSchema.ts:37

### sig

sig: object

- Defined in utils/types/BaseSchema.ts:41

### type

type: string = "string"

- Defined in utils/types/BaseSchema.ts:42

Generated using TypeDoc